%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   GD
%define modv   2.41


Summary:       An Interface to the Gd Graphics Library
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/L/LD/LDS/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Lincoln D. Stein <lstein@cshl.edu>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FileHandle)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Math::Trig)
BuildRequires: perl(Test)
BuildRequires: gd-devel fontconfig-devel freetype-devel
BuildRequires: libX11-devel libXpm-devel libjpeg-devel
BuildRequires: libpng-devel zlib-devel


%description
GD.pm is a Perl interface to Thomas Boutell's gd graphics library. GD allows
you to create color drawings using a large number of graphics primitives and
emit the drawings as PNG files.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL          \
	INSTALLDIRS="vendor" \
	OPTIMIZE="${RPM_OPT_FLAGS}"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist"       -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -type f -name "*.bs" -a -size 0 -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d          -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ChangeLog README*
%{_bindir}/bdf2gdfont.pl
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/%{modn}
%{perl_vendorarch}/%{modn}.pm
%{perl_vendorarch}/qd.pl
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*


%changelog
* Fri Feb 06 2009 Peter Pramberger <peterpramb@member.fsf.org> - 2.41-1
- New version (2.41)

* Mon Jun 23 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.39-1
- Initial build
